"use strict";

exports.__esModule = true;
exports.BodyScrollLockDirective = void 0;

var _bodyScrollLock = require("body-scroll-lock");

var BodyScrollLockDirective = {
  mounted: function mounted(el, binding) {
    if (el && binding.value) {
      (0, _bodyScrollLock.disableBodyScroll)(el);
    } else if (el && !binding.value) {
      (0, _bodyScrollLock.enableBodyScroll)(el);
    }
  },
  updated: function updated(el, binding) {
    if (el && binding.value) {
      (0, _bodyScrollLock.disableBodyScroll)(el);
    } else if (el && !binding.value) {
      (0, _bodyScrollLock.enableBodyScroll)(el);
    }
  },
  unmounted: function unmounted(el, binding) {
    if (el) {
      (0, _bodyScrollLock.enableBodyScroll)(el);
    }
  }
};
exports.BodyScrollLockDirective = BodyScrollLockDirective;
//# sourceMappingURL=body-scoll-lock.directive.js.map