function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Hey! Welcome to @chakra-ui/vue-next CScrollLock
 *
 * Component that comes witha hook and directive to enable and disable body scrolling
 *
 * @see Docs     https://next.vue.chakra-ui.com/c-scroll-lock
 * @see Source   https://github.com/chakra-ui/chakra-ui-vue-next/blob/master/packages/c-scroll-lock/src/c-scroll-lock/c-scroll-lock.ts
 * @see WAI-ARIA https://www.w3.org/TR/wai-aria-practices-1.2
 */
import { defineComponent, withDirectives, cloneVNode } from 'vue';
import { BodyScrollLockDirective } from './body-scoll-lock.directive';
export var CScrollLock = defineComponent({
  name: 'CScrollLock',
  props: {
    enabled: {
      type: Boolean,
      default: false
    }
  },

  setup(props, _ref) {
    var {
      slots,
      attrs
    } = _ref;
    return () => {
      var [firstChild] = slots.default == null ? void 0 : slots.default({});

      if (!firstChild) {
        console.warn("[chakra-ui:focus-lock]: Focus lock component expects at least and only one child element.");
        return;
      }

      var scrollLockVNode = cloneVNode(firstChild, _extends({}, attrs, {
        'data-chakra-scroll-lock': "" + props.enabled
      }));
      return withDirectives(scrollLockVNode, [[BodyScrollLockDirective, props.enabled]]);
    };
  }

});
//# sourceMappingURL=c-scroll-lock.js.map